cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params Struct Reference

The params.

`#include <gemm_global_tile.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE int | initialize (Pointer pointer, Index ld, Index bound, Index epilogue_stride_w, Index epilogue_delta_w)
| Setup the params. More...

## Public Attributes

Pointer | pointer
| The pointer. More...
Index | stride_h
| The stride in the H dimension to setup the thread in the block. More...
Index | inc_advance
| The strides to increment the pointer. More...
Index | inc_h
Index | predicate_inc_advance
| The strides to increment the predicate offset. More...
Index | predicate_inc_h
Index | predicate_offset
| The column offset to compute the predicate for the columns. More...

## Member Function Documentation

## initialize()

template<typename TileTraits_ , typename Index_ = int>

CUTLASS_HOST_DEVICE int cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::initialize | ( | Pointer | pointer,
|  | Index | ld,
|  | Index | bound,
|  | Index | epilogue_stride_w,
|  | Index | epilogue_delta_w
| ) |  |

inline

## Member Data Documentation

## inc_advance

template<typename TileTraits_ , typename Index_ = int>

Index cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::inc_advance

## inc_h

template<typename TileTraits_ , typename Index_ = int>

Index cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::inc_h

## pointer

template<typename TileTraits_ , typename Index_ = int>

Pointer cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::pointer

## predicate_inc_advance

template<typename TileTraits_ , typename Index_ = int>

Index cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::predicate_inc_advance

## predicate_inc_h

template<typename TileTraits_ , typename Index_ = int>

Index cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::predicate_inc_h

## predicate_offset

template<typename TileTraits_ , typename Index_ = int>

Index cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::predicate_offset

## stride_h

template<typename TileTraits_ , typename Index_ = int>

Index cutlass::gemm::GemmGlobalIteratorCd< TileTraits_, Index_ >::Params::stride_h

The documentation for this struct was generated from the following file:

- gemm_global_tile.h